petsc-3.4.2 2013-07-02

# KSPMatRegisterAll

Registers all matrix implementations in the KSP package.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMatRegisterAll()

Not Collective

### Keywords

Mat, KSP, register, all

### See Also

MatRegisterAll(), MatRegisterDestroy(), KSPInitializePackage()

Level:advanced
Location:src/ksp/ksp/utils/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages